*{
  box-sizing: border-box;
}

.banner-sobrenos {
  position: relative;
  background-color: #e6e2df;
  padding: 30px 20px;
  text-align: center;
  overflow: visible;
  box-shadow: 0 -4px 8px rgba(0, 0, 0, 0.15),
              0 4px 8px rgba(0, 0, 0, 0.15);
}

.banner-sobrenos__conteudo {
  max-width: 700px;
  margin: 0 auto;
  display: flex;
  flex-direction: column; 
  align-items: center;  
  gap: 12px;             
}

.sobre-nos {
  position: relative;
  padding: 80px 40px;
  text-align: center;
  overflow: hidden;
}

.sobre-nos h1 {
  font-size: 2.1em;
  color: #4b1d0d;
  font-weight: normal;
  font-family: 'Bubblegum Sans', cursive;
  margin-bottom: 20px;
}

.sobre-nos h1 span {
  display: block;
  font-family: 'Comforter Brush', cursive;
  font-size: 1.4em;
  color: #4b1d0d;
}

.sobre-nos p {
  font-size: 18px;
  line-height: 1.7;
  color: #3e1e0d;
  margin-bottom: 30px; 
  width: 650px;
  margin: 0 auto;
  
}

/* imagem final do texto sobrenos */
.imagem-final {
  display: block;
  height: 1050px;
  margin: 0 auto;
  position: absolute;
  right: -38px;
}

.imagem-final_container{
    position: relative;
    max-width: 100%;
    margin-bottom: 34rem;
}

@media screen and (min-width: 2200px){
  .imagem-final{
    height: 1300px;
  }

  .imagem-final_container{
    margin-bottom: 40rem;
  }
}

@media screen and (max-width: 1660px){
  .imagem-final{
    height: 835px;
  }

  .imagem-final_container{
    margin-bottom: 28rem;
  }
}

@media screen and (max-width: 1440px){
  .imagem-final{
    height: 790px;
  }

  .imagem-final_container{
    margin-bottom: 27rem;
  }
}

@media screen and (max-width: 1024px){
  .imagem-final{
    height: 560px;
  }

  .imagem-final_container{
    margin-bottom: 18rem;
  }
}

@media screen and (max-width: 768px){
  .imagem-final {
    height: 430px;
  }
  
  .imagem-final_container{
    margin-bottom: 15rem;
  }
}

.sobre-nos strong {
  font-weight: bold;
}

@media screen and (max-width: 450px){
  .imagem-final {
    height: 260px;
  }
  
  .imagem-final_container{
    margin-bottom: 10rem;
  }
}


@media screen and (max-width: 389px){
  .imagem-final {
  height: 220px;
}

.imagem-final_container{
    margin-bottom: 10rem;
}
}

/*Icone sobre o titulo */
.titulo-container {
  position: relative;
  display: inline-block;
}

/* Media query para telas médias */
@media screen and (max-width: 1024px) {
  .sobre-nos {
    padding: 6vw 4vw;
  }
  
  .sobre-nos h1 {
    font-size: 2.1em;
  }
  
  .sobre-nos h1 span {
    font-size: 1.2em;
  }
  
  .sobre-nos p {
    font-size: 1em;
    max-width: 90%;
  }
}

/* Media query para telas pequenas */
@media screen and (max-width: 768px) {
  .sobre-nos {
    padding: 5vw 3vw;
  }
  
  .sobre-nos h1 span {
    font-size: 1em;
  }
  
  .sobre-nos p {
    font-size: 1.1em;
    margin: 0 auto;
    line-height: 1.8;
    color: #3e1e0d;
}
  
}

/* Responsivo */
@media screen and (max-width: 768px) {
  .banner-cafe__titulo {
    font-size: 1.6em;
  }

  .banner-cafe__botao {
    max-width: 100%; /* no mobile ocupa toda a largura */
  }

  .banner-sobrenos__conteudo {
  max-width: 700px;
  margin: 0 auto;
  display: flex;
  flex-direction: column; 
  align-items: center;   
  gap: 5px;          
}
}
